import React from 'react';
import { t } from "../i18n";
export var TicketRatePanel = function TicketRatePanel(_ref) {
  var currencySymbol = _ref.currencySymbol,
    products = _ref.products,
    _ref$hint = _ref.hint,
    hint = _ref$hint === void 0 ? t('pisell2.adjust-time.hint-best-rate') : _ref$hint;
  return /*#__PURE__*/React.createElement("section", null, /*#__PURE__*/React.createElement("div", {
    className: "pisell-adjust-time__price-section-title"
  }, t('pisell2.adjust-time.ticket-rate')), /*#__PURE__*/React.createElement("div", {
    className: "pisell-adjust-time__price-list",
    style: {
      marginTop: 8
    }
  }, /*#__PURE__*/React.createElement("h3", null, hint), products.map(function (product) {
    return /*#__PURE__*/React.createElement("div", {
      key: product.id,
      className: "pisell-adjust-time__rate-row"
    }, /*#__PURE__*/React.createElement("span", null, product.title), /*#__PURE__*/React.createElement("strong", null, "".concat(currencySymbol).concat(product.price.toFixed(2))));
  })));
};